import { useRef } from 'react';
import useClickMarker from '../../../../hooks/useClickMarker';
import useMap from '../../../../hooks/useMap';
import styles from './GuessPane.module.css';

const ClickMarkerMap = ({ onMarkerMoved }) => {
  const mapDivRef = useRef(null);
  const mapRef = useMap(mapDivRef);
  useClickMarker(mapRef, onMarkerMoved);
  // TODO allow setting of map bounds for country locked games
  return <div className={styles.map} ref={mapDivRef} />;
};

export default ClickMarkerMap;